# -*- coding: UTF-8 -*-
import pymysql
import datetime
import pandas as pd

DIRECTORY_PATH="/data2/ffm/"

def get_yesterday_date():
    #自动获取昨天的日期,如"2018-08-08"
    """
    :rtype : str
    """
    today = datetime.date.today()
    yesterday = today - datetime.timedelta(days=1)
    yesterday = yesterday.strftime("%Y%m%d")
    return yesterday
    #today = datetime.date.today().strftime("%Y%m%d")
    #return today


def get_data():
    conn2db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='eagle')
    cursor = conn2db.cursor()
    sql = "select device_id from eagle.ffm_diary_queue where device_id regexp '[5|6]$'"
    cursor.execute(sql)
    result = cursor.fetchall()
    device_id = tuple(pd.DataFrame(list(result))[0].values.tolist())
    print(device_id[0:1])
    cursor.close()
    return device_id


def ctr():
    device_id = get_data()
    sql_click = "select count(cid) from data_feed_click " \
              "where cid_type = 'diary' " \
                "and stat_date = '{}' and device_id in {})".format(get_yesterday_date(),device_id)
    print(sql_click)
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_prod')
    cursor = db.cursor()
    cursor.execute(sql_click)
    click = cursor.fetchone()
    print(click)
    sql_exp = "select count(cid) from data_feed_exposure " \
              "where cid_type = 'diary' and stat_date = '{}' and " \
              "device_id in {})".format(get_yesterday_date(),device_id)
    cursor.execute(sql_exp)
    exp = cursor.fetchone()
    print(exp)


if __name__ == "__main__":
    ctr()
